> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagecall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pages For Room

> Create new pages in a meeting room (Bulk API)

Currently, You cannot try this API on the docs.

### Request Body Example

```json theme={null}
[
  {
    "entities": [
      {
        "type": "Image",
        "src": "https://picsum.photos/id/237/367/267"
      }
    ]
  },
  {
    "entities": [
      {
        "type": "Image",
        "src": "https://picsum.photos/id/582/367/267"
      }
    ]
  }
]
```

This will create two pages, each containing a picture of a dog and a fox respectively.

### URL Encoding Requirement

> **Notice**: Always encode URLs when using Pagecall's APIs. Unencoded URLs may lead to errors, for which Pagecall is not liable.


## OpenAPI

````yaml POST /rooms/{room_id}/pages/create_many
openapi: 3.0.0
info:
  title: Pagecall Public API - OpenAPI 3.0
  description: >-
    This is a official Pagecall API Documents written in OpenAPI 3.0.

    Responses from the Pagecall API may contain more information, but what is
    not stated in this document may change at any time without any notice.
  termsOfService: https://pplink.notion.site/774e4131813b47f8b06e3da4524604e8
  contact:
    email: support@pagecall.com
  version: 1.0.0
servers:
  - url: https://api.pagecall.com/v1
security: []
tags:
  - name: room
    description: Operations about room resources
paths:
  /rooms/{room_id}/pages/create_many:
    parameters:
      - in: path
        name: room_id
        required: true
        schema:
          type: string
        description: room id
        example: 000585f36eed9e8fb6b655b4
    post:
      tags:
        - room
      summary: Create Pages For Room
      description: Create new pages in a meeting room (Bulk API)
      operationId: CreateRoomsPage
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Page'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  pages:
                    type: array
                    description: Created pages
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        entities:
                          $ref: '#/components/schemas/Entity'
                    example:
                      - id: 000585f36eed9e8fb6b655b4
                        entities:
                          - type: Image
                            src: https://picsum.photos/id/237/536/354
                      - id: 000585f36eed9e8fb6b655b5
                        entities:
                          - type: Image
                            src: https://picsum.photos/id/237/536/354
                          - type: Image
                            src: https://picsum.photos/id/237/536/354
        '400':
          description: Invalid Parameters Supplied or Unauthenticated or Unauthorized
        '500':
          description: Validation exception
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Page:
      type: object
      properties:
        entities:
          type: array
          items:
            $ref: '#/components/schemas/Entity'
        size:
          type: object
          description: Size of a page
          required:
            - width
            - height
          properties:
            width:
              type: integer
            height:
              type: integer
          default:
            width: 4000
            height: 3000
        index:
          type: integer
    Entity:
      type: object
      required:
        - type
      properties:
        type:
          $ref: '#/components/schemas/EntityType'
        src:
          type: string
          description: Source url (required for Image)
          example: https://picsum.photos/id/237/536/354
        fixed:
          type: boolean
          description: If true, entity is created in a locked state
    EntityType:
      type: string
      description: >
        Type of entity in a page. Currently, manipulation through the API is
        only allowed for Image entities.

        - Image: Image
      enum:
        - Image
      example: Image
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````